Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 442649 - Fix Jetpipe Printing Support
Summary: Fix Jetpipe Printing Support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ltsp
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-04-16 01:23 UTC by Warren Togami
Modified: 2008-05-29 19:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-29 19:09:43 UTC


Attachments (Terms of Use)
Source RPM for lp_server (deleted)
2008-05-10 14:52 UTC, Frantisek Hanzlik
no flags Details
lp_server Fedora 9 i386 RPM package (deleted)
2008-05-10 14:53 UTC, Frantisek Hanzlik
no flags Details
patch to ltsp-init-script (from ltsp-5.1.7) for lp_server utilization (deleted)
2008-05-10 15:02 UTC, Frantisek Hanzlik
no flags Details

Description Warren Togami 2008-04-16 01:23:05 UTC
ltsp-launch-client lacks everything necessary to run jetpipe.
ltsp-client lacks jetpipe.

jetpipe does something to do with printing.  I haven't used it myself but it
seems important to some users.

ltsp-trunk/client/initscripts/ltsp-setup used by Debian/Ubuntu contains some
stuff that we might need.

Terry Laundos suggested exactly which code was necessary on k12linux-devel-list,
but I want more testing of it before it is added.

I also wonder if it is really desired to run on every client machine by default?

How is it usually used?  I don't even know what use case there is for it.

Comment 1 Dan Young 2008-04-16 02:24:56 UTC
Jetpipe is a simple daemon to forward TCP socket 9100 (jetdirect) to a local device. I think the use 
case is printing to a printer attached to a terminal. The server then prints to:
socket://terminal-addr:9100

Don't know how CUPS (or some subset of CUPS) on the terminal would compare in function or client 
overhead.

Comment 2 Warren Togami 2008-04-16 13:20:58 UTC
This sounds like something you DON'T want to run on every client.  It might be
appropriate to run only on some defined clients, but then you need a way to
control that.  lts.conf is the standard way to control doing something only on
certain clients.  Need to bring this up upstream.

Comment 3 Warren Togami 2008-04-17 18:38:47 UTC
OK, I see, it will only run jetpipe if you have PRINTER_0_DEVICE defined in your
lts.conf.  In that way it can run jetpipe only on certain clients defined by the
sysadmin.

This should be testable in the next build.

Comment 4 Frantisek Hanzlik 2008-05-10 14:52:02 UTC
Created attachment 305025 [details]
Source RPM for lp_server

Comment 5 Frantisek Hanzlik 2008-05-10 14:53:34 UTC
Created attachment 305026 [details]
lp_server Fedora 9 i386 RPM package

Comment 6 Frantisek Hanzlik 2008-05-10 15:02:25 UTC
Created attachment 305027 [details]
patch to ltsp-init-script (from ltsp-5.1.7) for lp_server utilization

Installing lp_server-1.1.6 on ltsp client and patching ltsp-init-common script
replace jetpipe with lp_server

Comment 7 Frantisek Hanzlik 2008-05-10 15:13:18 UTC
As I can see on Ubuntu and Debian forums, jetpipe is very simple python script.
At this time isn't capable initialize serial line printers, thus I must stay at
ltsp 4.2 lp_server from P.Powell. I'm using this program for more than four
years, and it works well, with small system footprint.
I made lp_server RPM package for i386. In lts.conf is then possible use all
PRINTER_n_{DATABITS,DEBUG,DEVICE,FLOWCTRL,PARITY,SPEED,TYPE,WRITE_ONLY} variables.

Comment 8 Warren Togami 2008-05-11 04:31:33 UTC
Please post this to the mailing list.  It is not appropriate to post RPMS here.

https://www.redhat.com/mailman/listinfo/k12linux-devel-list


Comment 9 Bug Zapper 2008-05-14 09:31:03 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Warren Togami 2008-05-29 19:09:43 UTC
lp_server has license problems and has little to do with the original purpose of
this bug.  Continue discussion on k12linux-devel-list.

jetpipe is configurable in the standard LTSP upstream way from lts.conf. 
Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.